1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.12
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14
15# Initialize some variables set by options.
16# The variables have the same names as the options, with
17# dashes changed to underlines.
18build=NONE
19cache_file=./config.cache
20exec_prefix=NONE
21host=NONE
22no_create=
23nonopt=NONE
24no_recursion=
25prefix=NONE
26program_prefix=NONE
27program_suffix=NONE
28program_transform_name=s,x,x,
29silent=
30site=
31srcdir=
32target=NONE
33verbose=
34x_includes=NONE
35x_libraries=NONE
36bindir='${exec_prefix}/bin'
37sbindir='${exec_prefix}/sbin'
38libexecdir='${exec_prefix}/libexec'
39datadir='${prefix}/share'
40sysconfdir='${prefix}/etc'
41sharedstatedir='${prefix}/com'
42localstatedir='${prefix}/var'
43libdir='${exec_prefix}/lib'
44includedir='${prefix}/include'
45oldincludedir='/usr/include'
46infodir='${prefix}/info'
47mandir='${prefix}/man'
48
49# Initialize some other variables.
50subdirs=
51MFLAGS= MAKEFLAGS=
52# Maximum number of lines to put in a shell here document.
53ac_max_here_lines=12
54
55ac_prev=
56for ac_option
57do
58
59  # If the previous option needs an argument, assign it.
60  if test -n "$ac_prev"; then
61    eval "$ac_prev=\$ac_option"
62    ac_prev=
63    continue
64  fi
65
66  case "$ac_option" in
67  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
68  *) ac_optarg= ;;
69  esac
70
71  # Accept the important Cygnus configure options, so we can diagnose typos.
72
73  case "$ac_option" in
74
75  -bindir | --bindir | --bindi | --bind | --bin | --bi)
76    ac_prev=bindir ;;
77  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
78    bindir="$ac_optarg" ;;
79
80  -build | --build | --buil | --bui | --bu)
81    ac_prev=build ;;
82  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
83    build="$ac_optarg" ;;
84
85  -cache-file | --cache-file | --cache-fil | --cache-fi \
86  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
87    ac_prev=cache_file ;;
88  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
89  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
90    cache_file="$ac_optarg" ;;
91
92  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
93    ac_prev=datadir ;;
94  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
95  | --da=*)
96    datadir="$ac_optarg" ;;
97
98  -disable-* | --disable-*)
99    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
100    # Reject names that are not valid shell variable names.
101    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
102      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
103    fi
104    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
105    eval "enable_${ac_feature}=no" ;;
106
107  -enable-* | --enable-*)
108    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
109    # Reject names that are not valid shell variable names.
110    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
111      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
112    fi
113    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
114    case "$ac_option" in
115      *=*) ;;
116      *) ac_optarg=yes ;;
117    esac
118    eval "enable_${ac_feature}='$ac_optarg'" ;;
119
120  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
121  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
122  | --exec | --exe | --ex)
123    ac_prev=exec_prefix ;;
124  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
125  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
126  | --exec=* | --exe=* | --ex=*)
127    exec_prefix="$ac_optarg" ;;
128
129  -gas | --gas | --ga | --g)
130    # Obsolete; use --with-gas.
131    with_gas=yes ;;
132
133  -help | --help | --hel | --he)
134    # Omit some internal or obsolete options to make the list less imposing.
135    # This message is too long to be a string in the A/UX 3.1 sh.
136    cat << EOF
137Usage: configure [options] [host]
138Options: [defaults in brackets after descriptions]
139Configuration:
140  --cache-file=FILE       cache test results in FILE
141  --help                  print this message
142  --no-create             do not create output files
143  --quiet, --silent       do not print \`checking...' messages
144  --version               print the version of autoconf that created configure
145Directory and file names:
146  --prefix=PREFIX         install architecture-independent files in PREFIX
147                          [$ac_default_prefix]
148  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
149                          [same as prefix]
150  --bindir=DIR            user executables in DIR [EPREFIX/bin]
151  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
152  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
153  --datadir=DIR           read-only architecture-independent data in DIR
154                          [PREFIX/share]
155  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
156  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
157                          [PREFIX/com]
158  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
159  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
160  --includedir=DIR        C header files in DIR [PREFIX/include]
161  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
162  --infodir=DIR           info documentation in DIR [PREFIX/info]
163  --mandir=DIR            man documentation in DIR [PREFIX/man]
164  --srcdir=DIR            find the sources in DIR [configure dir or ..]
165  --program-prefix=PREFIX prepend PREFIX to installed program names
166  --program-suffix=SUFFIX append SUFFIX to installed program names
167  --program-transform-name=PROGRAM
168                          run sed PROGRAM on installed program names
169EOF
170    cat << EOF
171Host type:
172  --build=BUILD           configure for building on BUILD [BUILD=HOST]
173  --host=HOST             configure for HOST [guessed]
174  --target=TARGET         configure for TARGET [TARGET=HOST]
175Features and packages:
176  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
177  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
178  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
179  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
180  --x-includes=DIR        X include files are in DIR
181  --x-libraries=DIR       X library files are in DIR
182EOF
183    if test -n "$ac_help"; then
184      echo "--enable and --with options recognized:$ac_help"
185    fi
186    exit 0 ;;
187
188  -host | --host | --hos | --ho)
189    ac_prev=host ;;
190  -host=* | --host=* | --hos=* | --ho=*)
191    host="$ac_optarg" ;;
192
193  -includedir | --includedir | --includedi | --included | --include \
194  | --includ | --inclu | --incl | --inc)
195    ac_prev=includedir ;;
196  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
197  | --includ=* | --inclu=* | --incl=* | --inc=*)
198    includedir="$ac_optarg" ;;
199
200  -infodir | --infodir | --infodi | --infod | --info | --inf)
201    ac_prev=infodir ;;
202  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
203    infodir="$ac_optarg" ;;
204
205  -libdir | --libdir | --libdi | --libd)
206    ac_prev=libdir ;;
207  -libdir=* | --libdir=* | --libdi=* | --libd=*)
208    libdir="$ac_optarg" ;;
209
210  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
211  | --libexe | --libex | --libe)
212    ac_prev=libexecdir ;;
213  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
214  | --libexe=* | --libex=* | --libe=*)
215    libexecdir="$ac_optarg" ;;
216
217  -localstatedir | --localstatedir | --localstatedi | --localstated \
218  | --localstate | --localstat | --localsta | --localst \
219  | --locals | --local | --loca | --loc | --lo)
220    ac_prev=localstatedir ;;
221  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
222  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
223  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
224    localstatedir="$ac_optarg" ;;
225
226  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
227    ac_prev=mandir ;;
228  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
229    mandir="$ac_optarg" ;;
230
231  -nfp | --nfp | --nf)
232    # Obsolete; use --without-fp.
233    with_fp=no ;;
234
235  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
236  | --no-cr | --no-c)
237    no_create=yes ;;
238
239  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
240  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
241    no_recursion=yes ;;
242
243  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
244  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
245  | --oldin | --oldi | --old | --ol | --o)
246    ac_prev=oldincludedir ;;
247  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
248  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
249  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
250    oldincludedir="$ac_optarg" ;;
251
252  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
253    ac_prev=prefix ;;
254  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
255    prefix="$ac_optarg" ;;
256
257  -program-prefix | --program-prefix | --program-prefi | --program-pref \
258  | --program-pre | --program-pr | --program-p)
259    ac_prev=program_prefix ;;
260  -program-prefix=* | --program-prefix=* | --program-prefi=* \
261  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
262    program_prefix="$ac_optarg" ;;
263
264  -program-suffix | --program-suffix | --program-suffi | --program-suff \
265  | --program-suf | --program-su | --program-s)
266    ac_prev=program_suffix ;;
267  -program-suffix=* | --program-suffix=* | --program-suffi=* \
268  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
269    program_suffix="$ac_optarg" ;;
270
271  -program-transform-name | --program-transform-name \
272  | --program-transform-nam | --program-transform-na \
273  | --program-transform-n | --program-transform- \
274  | --program-transform | --program-transfor \
275  | --program-transfo | --program-transf \
276  | --program-trans | --program-tran \
277  | --progr-tra | --program-tr | --program-t)
278    ac_prev=program_transform_name ;;
279  -program-transform-name=* | --program-transform-name=* \
280  | --program-transform-nam=* | --program-transform-na=* \
281  | --program-transform-n=* | --program-transform-=* \
282  | --program-transform=* | --program-transfor=* \
283  | --program-transfo=* | --program-transf=* \
284  | --program-trans=* | --program-tran=* \
285  | --progr-tra=* | --program-tr=* | --program-t=*)
286    program_transform_name="$ac_optarg" ;;
287
288  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
289  | -silent | --silent | --silen | --sile | --sil)
290    silent=yes ;;
291
292  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
293    ac_prev=sbindir ;;
294  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
295  | --sbi=* | --sb=*)
296    sbindir="$ac_optarg" ;;
297
298  -sharedstatedir | --sharedstatedir | --sharedstatedi \
299  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
300  | --sharedst | --shareds | --shared | --share | --shar \
301  | --sha | --sh)
302    ac_prev=sharedstatedir ;;
303  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
304  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
305  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
306  | --sha=* | --sh=*)
307    sharedstatedir="$ac_optarg" ;;
308
309  -site | --site | --sit)
310    ac_prev=site ;;
311  -site=* | --site=* | --sit=*)
312    site="$ac_optarg" ;;
313
314  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
315    ac_prev=srcdir ;;
316  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
317    srcdir="$ac_optarg" ;;
318
319  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
320  | --syscon | --sysco | --sysc | --sys | --sy)
321    ac_prev=sysconfdir ;;
322  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
323  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
324    sysconfdir="$ac_optarg" ;;
325
326  -target | --target | --targe | --targ | --tar | --ta | --t)
327    ac_prev=target ;;
328  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
329    target="$ac_optarg" ;;
330
331  -v | -verbose | --verbose | --verbos | --verbo | --verb)
332    verbose=yes ;;
333
334  -version | --version | --versio | --versi | --vers)
335    echo "configure generated by autoconf version 2.12"
336    exit 0 ;;
337
338  -with-* | --with-*)
339    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
340    # Reject names that are not valid shell variable names.
341    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
342      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
343    fi
344    ac_package=`echo $ac_package| sed 's/-/_/g'`
345    case "$ac_option" in
346      *=*) ;;
347      *) ac_optarg=yes ;;
348    esac
349    eval "with_${ac_package}='$ac_optarg'" ;;
350
351  -without-* | --without-*)
352    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
353    # Reject names that are not valid shell variable names.
354    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
355      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
356    fi
357    ac_package=`echo $ac_package| sed 's/-/_/g'`
358    eval "with_${ac_package}=no" ;;
359
360  --x)
361    # Obsolete; use --with-x.
362    with_x=yes ;;
363
364  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
365  | --x-incl | --x-inc | --x-in | --x-i)
366    ac_prev=x_includes ;;
367  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
368  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
369    x_includes="$ac_optarg" ;;
370
371  -x-libraries | --x-libraries | --x-librarie | --x-librari \
372  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
373    ac_prev=x_libraries ;;
374  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
375  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
376    x_libraries="$ac_optarg" ;;
377
378  -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
379    ;;
380
381  *)
382    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
383      echo "configure: warning: $ac_option: invalid host type" 1>&2
384    fi
385    if test "x$nonopt" != xNONE; then
386      { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
387    fi
388    nonopt="$ac_option"
389    ;;
390
391  esac
392done
393
394if test -n "$ac_prev"; then
395  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
396fi
397
398trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
399
400# File descriptor usage:
401# 0 standard input
402# 1 file creation
403# 2 errors and warnings
404# 3 some systems may open it to /dev/tty
405# 4 used on the Kubota Titan
406# 6 checking for... messages and results
407# 5 compiler messages saved in config.log
408if test "$silent" = yes; then
409  exec 6>/dev/null
410else
411  exec 6>&1
412fi
413exec 5>./config.log
414
415echo "\
416This file contains any messages produced by compilers while
417running configure, to aid debugging if configure makes a mistake.
418" 1>&5
419
420# Strip out --no-create and --no-recursion so they do not pile up.
421# Also quote any args containing shell metacharacters.
422ac_configure_args=
423for ac_arg
424do
425  case "$ac_arg" in
426  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
427  | --no-cr | --no-c) ;;
428  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
429  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
430  *" "*|*"	"*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
431  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
432  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
433  esac
434done
435
436# NLS nuisances.
437# Only set these to C if already set.  These must not be set unconditionally
438# because not all systems understand e.g. LANG=C (notably SCO).
439# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
440# Non-C LC_CTYPE values break the ctype check.
441if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
442if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
443if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
444if test "${LC_CTYPE+set}"    = set; then LC_CTYPE=C;    export LC_CTYPE;    fi
445
446# confdefs.h avoids OS command line length limits that DEFS can exceed.
447rm -rf conftest* confdefs.h
448# AIX cpp loses on an empty file, so make sure it contains at least a newline.
449echo > confdefs.h
450
451# A filename unique to this package, relative to the directory that
452# configure is in, which we can look for to find out if srcdir is correct.
453ac_unique_file=lupe.doc
454
455# Find the source files, if location was not specified.
456if test -z "$srcdir"; then
457  ac_srcdir_defaulted=yes
458  # Try the directory containing this script, then its parent.
459  ac_prog=$0
460  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
461  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
462  srcdir=$ac_confdir
463  if test ! -r $srcdir/$ac_unique_file; then
464    srcdir=..
465  fi
466else
467  ac_srcdir_defaulted=no
468fi
469if test ! -r $srcdir/$ac_unique_file; then
470  if test "$ac_srcdir_defaulted" = yes; then
471    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
472  else
473    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
474  fi
475fi
476srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
477
478# Prefer explicitly selected file to automatically selected ones.
479if test -z "$CONFIG_SITE"; then
480  if test "x$prefix" != xNONE; then
481    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
482  else
483    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
484  fi
485fi
486for ac_site_file in $CONFIG_SITE; do
487  if test -r "$ac_site_file"; then
488    echo "loading site script $ac_site_file"
489    . "$ac_site_file"
490  fi
491done
492
493if test -r "$cache_file"; then
494  echo "loading cache $cache_file"
495  . $cache_file
496else
497  echo "creating cache $cache_file"
498  > $cache_file
499fi
500
501ac_ext=c
502# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
503ac_cpp='$CPP $CPPFLAGS'
504ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
505ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
506cross_compiling=$ac_cv_prog_cc_cross
507
508if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
509  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
510  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
511    ac_n= ac_c='
512' ac_t='	'
513  else
514    ac_n=-n ac_c= ac_t=
515  fi
516else
517  ac_n= ac_c='\c' ac_t=
518fi
519
520
521
522
523
524
525echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
526echo "configure:527: checking how to run the C preprocessor" >&5
527# On Suns, sometimes $CPP names a directory.
528if test -n "$CPP" && test -d "$CPP"; then
529  CPP=
530fi
531if test -z "$CPP"; then
532if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
533  echo $ac_n "(cached) $ac_c" 1>&6
534else
535    # This must be in double quotes, not single quotes, because CPP may get
536  # substituted into the Makefile and "${CC-cc}" will confuse make.
537  CPP="${CC-cc} -E"
538  # On the NeXT, cc -E runs the code through the compiler's parser,
539  # not just through cpp.
540  cat > conftest.$ac_ext <<EOF
541#line 542 "configure"
542#include "confdefs.h"
543#include <assert.h>
544Syntax Error
545EOF
546ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
547{ (eval echo configure:548: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
548ac_err=`grep -v '^ *+' conftest.out`
549if test -z "$ac_err"; then
550  :
551else
552  echo "$ac_err" >&5
553  echo "configure: failed program was:" >&5
554  cat conftest.$ac_ext >&5
555  rm -rf conftest*
556  CPP="${CC-cc} -E -traditional-cpp"
557  cat > conftest.$ac_ext <<EOF
558#line 559 "configure"
559#include "confdefs.h"
560#include <assert.h>
561Syntax Error
562EOF
563ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
564{ (eval echo configure:565: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
565ac_err=`grep -v '^ *+' conftest.out`
566if test -z "$ac_err"; then
567  :
568else
569  echo "$ac_err" >&5
570  echo "configure: failed program was:" >&5
571  cat conftest.$ac_ext >&5
572  rm -rf conftest*
573  CPP=/lib/cpp
574fi
575rm -f conftest*
576fi
577rm -f conftest*
578  ac_cv_prog_CPP="$CPP"
579fi
580  CPP="$ac_cv_prog_CPP"
581else
582  ac_cv_prog_CPP="$CPP"
583fi
584echo "$ac_t""$CPP" 1>&6
585
586echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
587echo "configure:588: checking for ANSI C header files" >&5
588if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
589  echo $ac_n "(cached) $ac_c" 1>&6
590else
591  cat > conftest.$ac_ext <<EOF
592#line 593 "configure"
593#include "confdefs.h"
594#include <stdlib.h>
595#include <stdarg.h>
596#include <string.h>
597#include <float.h>
598EOF
599ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
600{ (eval echo configure:601: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
601ac_err=`grep -v '^ *+' conftest.out`
602if test -z "$ac_err"; then
603  rm -rf conftest*
604  ac_cv_header_stdc=yes
605else
606  echo "$ac_err" >&5
607  echo "configure: failed program was:" >&5
608  cat conftest.$ac_ext >&5
609  rm -rf conftest*
610  ac_cv_header_stdc=no
611fi
612rm -f conftest*
613
614if test $ac_cv_header_stdc = yes; then
615  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
616cat > conftest.$ac_ext <<EOF
617#line 618 "configure"
618#include "confdefs.h"
619#include <string.h>
620EOF
621if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
622  egrep "memchr" >/dev/null 2>&1; then
623  :
624else
625  rm -rf conftest*
626  ac_cv_header_stdc=no
627fi
628rm -f conftest*
629
630fi
631
632if test $ac_cv_header_stdc = yes; then
633  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
634cat > conftest.$ac_ext <<EOF
635#line 636 "configure"
636#include "confdefs.h"
637#include <stdlib.h>
638EOF
639if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
640  egrep "free" >/dev/null 2>&1; then
641  :
642else
643  rm -rf conftest*
644  ac_cv_header_stdc=no
645fi
646rm -f conftest*
647
648fi
649
650if test $ac_cv_header_stdc = yes; then
651  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
652if test "$cross_compiling" = yes; then
653  :
654else
655  cat > conftest.$ac_ext <<EOF
656#line 657 "configure"
657#include "confdefs.h"
658#include <ctype.h>
659#define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
660#define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
661#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
662int main () { int i; for (i = 0; i < 256; i++)
663if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
664exit (0); }
665
666EOF
667if { (eval echo configure:668: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit) 2>/dev/null
668then
669  :
670else
671  echo "configure: failed program was:" >&5
672  cat conftest.$ac_ext >&5
673  rm -fr conftest*
674  ac_cv_header_stdc=no
675fi
676rm -fr conftest*
677fi
678
679fi
680fi
681
682echo "$ac_t""$ac_cv_header_stdc" 1>&6
683if test $ac_cv_header_stdc = yes; then
684  cat >> confdefs.h <<\EOF
685#define STDC_HEADERS 1
686EOF
687
688fi
689
690echo $ac_n "checking whether time.h and sys/time.h may both be included""... $ac_c" 1>&6
691echo "configure:692: checking whether time.h and sys/time.h may both be included" >&5
692if eval "test \"`echo '$''{'ac_cv_header_time'+set}'`\" = set"; then
693  echo $ac_n "(cached) $ac_c" 1>&6
694else
695  cat > conftest.$ac_ext <<EOF
696#line 697 "configure"
697#include "confdefs.h"
698#include <sys/types.h>
699#include <sys/time.h>
700#include <time.h>
701int main() {
702struct tm *tp;
703; return 0; }
704EOF
705if { (eval echo configure:706: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
706  rm -rf conftest*
707  ac_cv_header_time=yes
708else
709  echo "configure: failed program was:" >&5
710  cat conftest.$ac_ext >&5
711  rm -rf conftest*
712  ac_cv_header_time=no
713fi
714rm -f conftest*
715fi
716
717echo "$ac_t""$ac_cv_header_time" 1>&6
718if test $ac_cv_header_time = yes; then
719  cat >> confdefs.h <<\EOF
720#define TIME_WITH_SYS_TIME 1
721EOF
722
723fi
724
725for ac_hdr in stdlib.h string.h strings.h stdarg.h varargs.h signal.h
726do
727ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
728echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
729echo "configure:730: checking for $ac_hdr" >&5
730if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
731  echo $ac_n "(cached) $ac_c" 1>&6
732else
733  cat > conftest.$ac_ext <<EOF
734#line 735 "configure"
735#include "confdefs.h"
736#include <$ac_hdr>
737EOF
738ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
739{ (eval echo configure:740: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
740ac_err=`grep -v '^ *+' conftest.out`
741if test -z "$ac_err"; then
742  rm -rf conftest*
743  eval "ac_cv_header_$ac_safe=yes"
744else
745  echo "$ac_err" >&5
746  echo "configure: failed program was:" >&5
747  cat conftest.$ac_ext >&5
748  rm -rf conftest*
749  eval "ac_cv_header_$ac_safe=no"
750fi
751rm -f conftest*
752fi
753if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
754  echo "$ac_t""yes" 1>&6
755    ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
756  cat >> confdefs.h <<EOF
757#define $ac_tr_hdr 1
758EOF
759
760else
761  echo "$ac_t""no" 1>&6
762fi
763done
764
765
766echo $ac_n "checking return type of signal handlers""... $ac_c" 1>&6
767echo "configure:768: checking return type of signal handlers" >&5
768if eval "test \"`echo '$''{'ac_cv_type_signal'+set}'`\" = set"; then
769  echo $ac_n "(cached) $ac_c" 1>&6
770else
771  cat > conftest.$ac_ext <<EOF
772#line 773 "configure"
773#include "confdefs.h"
774#include <sys/types.h>
775#include <signal.h>
776#ifdef signal
777#undef signal
778#endif
779#ifdef __cplusplus
780extern "C" void (*signal (int, void (*)(int)))(int);
781#else
782void (*signal ()) ();
783#endif
784
785int main() {
786int i;
787; return 0; }
788EOF
789if { (eval echo configure:790: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
790  rm -rf conftest*
791  ac_cv_type_signal=void
792else
793  echo "configure: failed program was:" >&5
794  cat conftest.$ac_ext >&5
795  rm -rf conftest*
796  ac_cv_type_signal=int
797fi
798rm -f conftest*
799fi
800
801echo "$ac_t""$ac_cv_type_signal" 1>&6
802cat >> confdefs.h <<EOF
803#define RETSIGTYPE $ac_cv_type_signal
804EOF
805
806
807
808
809for ac_func in index rindex bcopy bcmp bzero strdup usleep gettimeofday
810do
811echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
812echo "configure:813: checking for $ac_func" >&5
813if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
814  echo $ac_n "(cached) $ac_c" 1>&6
815else
816  cat > conftest.$ac_ext <<EOF
817#line 818 "configure"
818#include "confdefs.h"
819/* System header to define __stub macros and hopefully few prototypes,
820    which can conflict with char $ac_func(); below.  */
821#include <assert.h>
822/* Override any gcc2 internal prototype to avoid an error.  */
823/* We use char because int might match the return type of a gcc2
824    builtin and then its argument prototype would still apply.  */
825char $ac_func();
826
827int main() {
828
829/* The GNU C library defines this for functions which it implements
830    to always fail with ENOSYS.  Some functions are actually named
831    something starting with __ and the normal name is an alias.  */
832#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
833choke me
834#else
835$ac_func();
836#endif
837
838; return 0; }
839EOF
840if { (eval echo configure:841: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
841  rm -rf conftest*
842  eval "ac_cv_func_$ac_func=yes"
843else
844  echo "configure: failed program was:" >&5
845  cat conftest.$ac_ext >&5
846  rm -rf conftest*
847  eval "ac_cv_func_$ac_func=no"
848fi
849rm -f conftest*
850fi
851
852if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
853  echo "$ac_t""yes" 1>&6
854    ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
855  cat >> confdefs.h <<EOF
856#define $ac_tr_func 1
857EOF
858
859else
860  echo "$ac_t""no" 1>&6
861fi
862done
863
864
865trap '' 1 2 15
866cat > confcache <<\EOF
867# This file is a shell script that caches the results of configure
868# tests run on this system so they can be shared between configure
869# scripts and configure runs.  It is not useful on other systems.
870# If it contains results you don't want to keep, you may remove or edit it.
871#
872# By default, configure uses ./config.cache as the cache file,
873# creating it if it does not exist already.  You can give configure
874# the --cache-file=FILE option to use a different cache file; that is
875# what configure does when it calls configure scripts in
876# subdirectories, so they share the cache.
877# Giving --cache-file=/dev/null disables caching, for debugging configure.
878# config.status only pays attention to the cache file if you give it the
879# --recheck option to rerun configure.
880#
881EOF
882# The following way of writing the cache mishandles newlines in values,
883# but we know of no workaround that is simple, portable, and efficient.
884# So, don't put newlines in cache variables' values.
885# Ultrix sh set writes to stderr and can't be redirected directly,
886# and sets the high bit in the cache file unless we assign to the vars.
887(set) 2>&1 |
888  case `(ac_space=' '; set) 2>&1` in
889  *ac_space=\ *)
890    # `set' does not quote correctly, so add quotes (double-quote substitution
891    # turns \\\\ into \\, and sed turns \\ into \).
892    sed -n \
893      -e "s/'/'\\\\''/g" \
894      -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
895    ;;
896  *)
897    # `set' quotes correctly as required by POSIX, so do not add quotes.
898    sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
899    ;;
900  esac >> confcache
901if cmp -s $cache_file confcache; then
902  :
903else
904  if test -w $cache_file; then
905    echo "updating cache $cache_file"
906    cat confcache > $cache_file
907  else
908    echo "not updating unwritable cache $cache_file"
909  fi
910fi
911rm -f confcache
912
913trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
914
915test "x$prefix" = xNONE && prefix=$ac_default_prefix
916# Let make expand exec_prefix.
917test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
918
919# Any assignment to VPATH causes Sun make to only execute
920# the first set of double-colon rules, so remove it if not needed.
921# If there is a colon in the path, we need to keep it.
922if test "x$srcdir" = x.; then
923  ac_vpsub='/^[ 	]*VPATH[ 	]*=[^:]*$/d'
924fi
925
926trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
927
928DEFS=-DHAVE_CONFIG_H
929
930# Without the "./", some shells look in PATH for config.status.
931: ${CONFIG_STATUS=./config.status}
932
933echo creating $CONFIG_STATUS
934rm -f $CONFIG_STATUS
935cat > $CONFIG_STATUS <<EOF
936#! /bin/sh
937# Generated automatically by configure.
938# Run this file to recreate the current configuration.
939# This directory was configured as follows,
940# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
941#
942# $0 $ac_configure_args
943#
944# Compiler output produced by configure, useful for debugging
945# configure, is in ./config.log if it exists.
946
947ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
948for ac_option
949do
950  case "\$ac_option" in
951  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
952    echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
953    exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
954  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
955    echo "$CONFIG_STATUS generated by autoconf version 2.12"
956    exit 0 ;;
957  -help | --help | --hel | --he | --h)
958    echo "\$ac_cs_usage"; exit 0 ;;
959  *) echo "\$ac_cs_usage"; exit 1 ;;
960  esac
961done
962
963ac_given_srcdir=$srcdir
964
965trap 'rm -fr `echo " config.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
966EOF
967cat >> $CONFIG_STATUS <<EOF
968
969# Protect against being on the right side of a sed subst in config.status.
970sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
971 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
972$ac_vpsub
973$extrasub
974s%@CFLAGS@%$CFLAGS%g
975s%@CPPFLAGS@%$CPPFLAGS%g
976s%@CXXFLAGS@%$CXXFLAGS%g
977s%@DEFS@%$DEFS%g
978s%@LDFLAGS@%$LDFLAGS%g
979s%@LIBS@%$LIBS%g
980s%@exec_prefix@%$exec_prefix%g
981s%@prefix@%$prefix%g
982s%@program_transform_name@%$program_transform_name%g
983s%@bindir@%$bindir%g
984s%@sbindir@%$sbindir%g
985s%@libexecdir@%$libexecdir%g
986s%@datadir@%$datadir%g
987s%@sysconfdir@%$sysconfdir%g
988s%@sharedstatedir@%$sharedstatedir%g
989s%@localstatedir@%$localstatedir%g
990s%@libdir@%$libdir%g
991s%@includedir@%$includedir%g
992s%@oldincludedir@%$oldincludedir%g
993s%@infodir@%$infodir%g
994s%@mandir@%$mandir%g
995s%@CPP@%$CPP%g
996
997CEOF
998EOF
999
1000cat >> $CONFIG_STATUS <<\EOF
1001
1002# Split the substitutions into bite-sized pieces for seds with
1003# small command number limits, like on Digital OSF/1 and HP-UX.
1004ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1005ac_file=1 # Number of current file.
1006ac_beg=1 # First line for current file.
1007ac_end=$ac_max_sed_cmds # Line after last line for current file.
1008ac_more_lines=:
1009ac_sed_cmds=""
1010while $ac_more_lines; do
1011  if test $ac_beg -gt 1; then
1012    sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1013  else
1014    sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1015  fi
1016  if test ! -s conftest.s$ac_file; then
1017    ac_more_lines=false
1018    rm -f conftest.s$ac_file
1019  else
1020    if test -z "$ac_sed_cmds"; then
1021      ac_sed_cmds="sed -f conftest.s$ac_file"
1022    else
1023      ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1024    fi
1025    ac_file=`expr $ac_file + 1`
1026    ac_beg=$ac_end
1027    ac_end=`expr $ac_end + $ac_max_sed_cmds`
1028  fi
1029done
1030if test -z "$ac_sed_cmds"; then
1031  ac_sed_cmds=cat
1032fi
1033EOF
1034
1035cat >> $CONFIG_STATUS <<EOF
1036
1037CONFIG_FILES=\${CONFIG_FILES-""}
1038EOF
1039cat >> $CONFIG_STATUS <<\EOF
1040for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1041  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1042  case "$ac_file" in
1043  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1044       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1045  *) ac_file_in="${ac_file}.in" ;;
1046  esac
1047
1048  # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1049
1050  # Remove last slash and all that follows it.  Not all systems have dirname.
1051  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1052  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1053    # The file is in a subdirectory.
1054    test ! -d "$ac_dir" && mkdir "$ac_dir"
1055    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1056    # A "../" for each directory in $ac_dir_suffix.
1057    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1058  else
1059    ac_dir_suffix= ac_dots=
1060  fi
1061
1062  case "$ac_given_srcdir" in
1063  .)  srcdir=.
1064      if test -z "$ac_dots"; then top_srcdir=.
1065      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1066  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1067  *) # Relative path.
1068    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1069    top_srcdir="$ac_dots$ac_given_srcdir" ;;
1070  esac
1071
1072
1073  echo creating "$ac_file"
1074  rm -f "$ac_file"
1075  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1076  case "$ac_file" in
1077  *Makefile*) ac_comsub="1i\\
1078# $configure_input" ;;
1079  *) ac_comsub= ;;
1080  esac
1081
1082  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1083  sed -e "$ac_comsub
1084s%@configure_input@%$configure_input%g
1085s%@srcdir@%$srcdir%g
1086s%@top_srcdir@%$top_srcdir%g
1087" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1088fi; done
1089rm -f conftest.s*
1090
1091# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1092# NAME is the cpp macro being defined and VALUE is the value it is being given.
1093#
1094# ac_d sets the value in "#define NAME VALUE" lines.
1095ac_dA='s%^\([ 	]*\)#\([ 	]*define[ 	][ 	]*\)'
1096ac_dB='\([ 	][ 	]*\)[^ 	]*%\1#\2'
1097ac_dC='\3'
1098ac_dD='%g'
1099# ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1100ac_uA='s%^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
1101ac_uB='\([ 	]\)%\1#\2define\3'
1102ac_uC=' '
1103ac_uD='\4%g'
1104# ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1105ac_eA='s%^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
1106ac_eB='$%\1#\2define\3'
1107ac_eC=' '
1108ac_eD='%g'
1109
1110if test "${CONFIG_HEADERS+set}" != set; then
1111EOF
1112cat >> $CONFIG_STATUS <<EOF
1113  CONFIG_HEADERS="config.h"
1114EOF
1115cat >> $CONFIG_STATUS <<\EOF
1116fi
1117for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1118  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1119  case "$ac_file" in
1120  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1121       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1122  *) ac_file_in="${ac_file}.in" ;;
1123  esac
1124
1125  echo creating $ac_file
1126
1127  rm -f conftest.frag conftest.in conftest.out
1128  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1129  cat $ac_file_inputs > conftest.in
1130
1131EOF
1132
1133# Transform confdefs.h into a sed script conftest.vals that substitutes
1134# the proper values into config.h.in to produce config.h.  And first:
1135# Protect against being on the right side of a sed subst in config.status.
1136# Protect against being in an unquoted here document in config.status.
1137rm -f conftest.vals
1138cat > conftest.hdr <<\EOF
1139s/[\\&%]/\\&/g
1140s%[\\$`]%\\&%g
1141s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1142s%ac_d%ac_u%gp
1143s%ac_u%ac_e%gp
1144EOF
1145sed -n -f conftest.hdr confdefs.h > conftest.vals
1146rm -f conftest.hdr
1147
1148# This sed command replaces #undef with comments.  This is necessary, for
1149# example, in the case of _POSIX_SOURCE, which is predefined and required
1150# on some systems where configure will not decide to define it.
1151cat >> conftest.vals <<\EOF
1152s%^[ 	]*#[ 	]*undef[ 	][ 	]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1153EOF
1154
1155# Break up conftest.vals because some shells have a limit on
1156# the size of here documents, and old seds have small limits too.
1157
1158rm -f conftest.tail
1159while :
1160do
1161  ac_lines=`grep -c . conftest.vals`
1162  # grep -c gives empty output for an empty file on some AIX systems.
1163  if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1164  # Write a limited-size here document to conftest.frag.
1165  echo '  cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1166  sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1167  echo 'CEOF
1168  sed -f conftest.frag conftest.in > conftest.out
1169  rm -f conftest.in
1170  mv conftest.out conftest.in
1171' >> $CONFIG_STATUS
1172  sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1173  rm -f conftest.vals
1174  mv conftest.tail conftest.vals
1175done
1176rm -f conftest.vals
1177
1178cat >> $CONFIG_STATUS <<\EOF
1179  rm -f conftest.frag conftest.h
1180  echo "/* $ac_file.  Generated automatically by configure.  */" > conftest.h
1181  cat conftest.in >> conftest.h
1182  rm -f conftest.in
1183  if cmp -s $ac_file conftest.h 2>/dev/null; then
1184    echo "$ac_file is unchanged"
1185    rm -f conftest.h
1186  else
1187    # Remove last slash and all that follows it.  Not all systems have dirname.
1188      ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1189      if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1190      # The file is in a subdirectory.
1191      test ! -d "$ac_dir" && mkdir "$ac_dir"
1192    fi
1193    rm -f $ac_file
1194    mv conftest.h $ac_file
1195  fi
1196fi; done
1197
1198EOF
1199cat >> $CONFIG_STATUS <<EOF
1200
1201EOF
1202cat >> $CONFIG_STATUS <<\EOF
1203
1204exit 0
1205EOF
1206chmod +x $CONFIG_STATUS
1207rm -fr confdefs* $ac_clean_files
1208test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1209
1210